KF5-CONFIG(1)

NAME
kf5-config - Gibt die Installationspfade von Qt(TM) und Frameworks aus

ÜBERSICHT

kf5-config [--expandvars] [--prefix] [--exec-prefix] [--libsuffix] [--localprefix] [--version] [--kde-version] [--types] [--path type] [--userpath type] [--install type] [--qt-prefix] [--qt-binaries] [--qt-libraries] [--qt-plugins]

BESCHREIBUNG

kf5-config ist Befehlszeilenprogramm, mit dem Informationen über die Frameworks-Installation oder Benutzerpfade abgerufen werden können.

Verwenden Sie dieses Programm zur Abfrage der verschiedenen Aspekte der auf Ihrem System vorliegenden Frameworks-Installation.

    Anmerkung

    kf5-config ist ein veralteter Ersatz für kde4-config. Es wird empfohlen stattdessen qtpaths zu benutzen, das in Qt(TM) einhalten ist.

OPTIONEN

--expandvars
    ${prefix} und ${exec_prefix} bei der Ausgabe expandieren

--prefix
    Einkompiliertes prefix für Frameworks-Bibliotheken

--exec-prefix
    Einkompiliertes exec_prefix für Frameworks-Bibliotheken

--libsuffix
    Bei der Kompilierung gesetztes „library path suffix“

--localprefix
    Präfix für das Schreiben von Dateien in $HOME.

--version
    Version von Qt(TM) und einkompilierte Versionszeichenkette für Frameworks-Bibliotheken und kf5-config

--kde-version
    Einkompilierte Versionszeichenkette für Frameworks-Bibliotheken

--types
    Ausgabe der Liste aller verfügbaren KDE-Ressourcetypen

--path Typ
    Suchpfad für den angegebenen Typ

--userpath Typ
    Benutzerpfade für die Typen: desktop|document

--install Typ
    Präfix, in dem Ressourcen-Dateien abgelegt werden

--qt-prefix
    Installations-Präfix für Qt(TM)

--qt-binaries
    Ort der installierten Qt(TM)-Programmdateien

--qt-libraries
    Ort der installierten Qt(TM)-Bibliotheken

--qt-plugins
    Ort der installierten Qt(TM)-Module

BEISPIELE

Ausgabe des Basisordners der Frameworks-Installation:

% kf5-config --prefix

Ausgabe einer Liste aller Ressourcentypen:

% kf5-config --types

Ausgabe des Pfades des installierten Arbeitsflächenhintergrunds:

% kf5-config --path wallpaper

SIEHE AUCH

kf5options(7)

FEHLER

Keine bekannt.

AUTOR

Stephan Kulow <coolo@kde.org>
    Autor.